tbtadm(1)

NAME

tbtadm - Thunderbolt(tm) management tool

SYNOPSIS

tbtadm

tbtadm devices

tbtadm peers

tbtadm topology

tbtadm approve [--once] <route-string>

tbtadm approve-all [--once]

tbtadm acl

tbtadm add <route-string>

tbtadm remove <uuid | route-string>

tbtadm remove-all

DESCRIPTION

tbtadm provides convenient way to interact with Thunderbolt kernel module, approve the connection of Thunderbolt devices, handle the ACL for auto-connecting devices and more. Running it with no argument, it prints all the available commands.

OPTIONS

devices
    Print a list of all the currently connected Thunderbolt devices in the following format:

    Route-string    Vendor    Device name    Authorized?    In ACL?

peers
    Print a list of all the currently connected hosts in the following format:

    Route-string    Vendor    Device name

topology
    Print all the currently connected Thunderbolt devices in a tree, starting with the controller itself, resembling the device connection topology.

approve [--once] <route-string>
    If the selected Thunderbolt device isn't authorized, approve it and (if --once wasn't specified) add it to ACL.

approve-all [--once]
    Approve all currently connected Thunderbolt devices that aren't authorized yet and (if --once wasn't specified) add them to ACL.

acl Print the ACL content in the following format:

    UUID    Vendor    Device name    Currently connected?

add <route-string>
    Add a device to ACL. The argument selects the device to be added by its route-string. Doesn't work in SL2 (secure; key-based) as addition to ACL must be done together with the device authorization (with approve or approve-all without --once flag).

remove <uuid | route-string>
    Remove ACL entry. The argument selects the device to be removed by its UUID or (if it's currently connected) by route-string.

remove-all
    Clear the ACL, removing all the entries.